明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2948|回复: 2

如何给多段线增加节点

[复制链接]
发表于 2004-4-15 15:04:00 | 显示全部楼层 |阅读模式
发表于 2004-4-15 19:20:00 | 显示全部楼层
使用AppendVertex添加节点。
发表于 2004-4-15 19:51:00 | 显示全部楼层
怎么都不喜欢看帮助?这是帮助里的示例:
  1. Sub Example_AppendVertex()
  2.        ' This example creates a polyline in model space.
  3.        ' It then appends a vertex to the polyline.
  4.       
  5.        Dim plineObj As AcadPolyline
  6.        Dim points(0 To 14) As Double
  7.       
  8.       
  9.        ' Define the 2D polyline points
  10.        points(0) = 1: points(1) = 1: points(2) = 0
  11.        points(3) = 1: points(4) = 2: points(5) = 0
  12.        points(6) = 2: points(7) = 2: points(8) = 0
  13.        points(9) = 3: points(10) = 2: points(11) = 0
  14.        points(12) = 4: points(13) = 4: points(14) = 0
  15.                
  16.        ' Create a light weight Polyline object in model space
  17.        Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
  18.        ZoomAll
  19.        MsgBox "Append the vertex 4, 1, 0.", , "AppendVertex Example"
  20.       
  21.        Dim newVertex(0 To 2) As Double
  22.        newVertex(0) = 4: newVertex(1) = 1: newVertex(2) = 0
  23.        plineObj.AppendVertex newVertex
  24.        ZoomAll
  25.        MsgBox "The vertex 4, 1, 0 as been appended.", , "AppendVertex Example"End Sub
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 07:46 , Processed in 0.152664 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表